Jelenlegi hely

64-bites flashplugin

Kipróbáltad, rendesen megy?
Amúgy szvsz még ennek ellenére se éri meg desktopot 64bitesre váltani...

igen... ki van próbálva... működik
lehet még nem éri meg a 64-bites rendszer deszktopon, de egyre többen térnek át x86_64-re és így már ez se akadály

Sziasztok!
Telepítve van i686-os architektúrára a flashplugin 11. A flash oldalakat nem jelenítí meg, kiírja, hogy missing plugin, ha rákattintok erre, akkor azt írja: A Flash Plugin engedélyt kér a futásra. Ha erre is rákattintok, akkor néha megjeleníti az Adobe Flash Plugin oldalát letöltésre, máskor nem csinál semmit. Ilyet az Ubuntuban is művelt, ott a megoldás az összes flash törlése és a flashplayer_square feltelepítése volt. Az AUR-ban a square csak 64-bites, nem települ nálam. Megoldás? Köszi előre is.
csabatata

Még nem sikerült megoldanom a fentebb írt problémámat, az eddigi olvasottak nem segítettek. Ha flash oldalt nyitok meg, kéri a flash plug-in telepítését, ami valójában már fent van. Nem tudom elindítani a rádióállomásokat sem, mert kéri a flash-t, kéri az engedélyezést, stb. Ha van valami ötlet, szívesen venném.
csabatata

Neten utána nézve azt írják, hogy le kell tiltani az egyik fash plugint. Mert google chrome-ban alapból benne van, de ha még külön is fel van rakva, akkor bezavarják egymást.
Ha beírod a böngészőbe, hogy:

about:plugins

akkor mit ír ki?

1. Remoting Viewer (kikapcsolva)
2. Native Client (kikapcsolva)
3. Shockware Flash (kikapcsolva), hely: /usr/lib/mozilla/plugins/libflashplayer.so
Shockware Flash (kikapcsolva), hely: /home/users/.mozilla/plugins/libflashplayer.so

Az első hármat letíltottam, a libflashplayer.so-t bemásoltam a saját könyvtáramba (ahogy az utolsó sorban van), engedélyeztem, de minden kilépés után úgy látom, elveszíti az engedélyt. Így sem működik.
csabatata

Akkor ezek szerint nem google chrome, mert arra írták ezt a hibát. Viszont nem értem, hogy miért van mégis 2 helyen a flash.
Az eredeti útvonal az, amit a 3. pontba írtál. Azt kell engedélyezni.
A flash square azért 64 bites, mert pont ez a lényeg benne, hogy natív 64 bites flash plugin. Azt sem értem, hogyan tudtad Ubuntura felrakni, hacsaknem úgy, hogy 64 bites Ubuntud volt.

Flash plugin-hez tartozó fájlok/útvonalak listája?
pacman -Ql flashplugin

Flash plugin verziód?
pacman -Qs flashplugin

Az Ubuntu 10.04-nél teljesen azonos volt a problémám, mint az "ubuntu.hu/node/20968" alatt, amire "metaxx" hozzászólása alapján sikerült megoldani a kérdést. Ennek analógiájaként írtam be a második útvonalat, ezért van két helyen a flash. Hogy az ubuntum nem 64 bites volt, az biztos.
Ime a listák:

pacman -Ql flashplugin
flashplugin /etc/
flashplugin /etc/adobe/
flashplugin /etc/adobe/mms.cfg
flashplugin /usr/
flashplugin /usr/bin/
flashplugin /usr/bin/flash-player-properties
flashplugin /usr/lib/
flashplugin /usr/lib/kde4/
flashplugin /usr/lib/kde4/kcm_adobe_flash_player.so
flashplugin /usr/lib/mozilla/
flashplugin /usr/lib/mozilla/plugins/
flashplugin /usr/lib/mozilla/plugins/libflashplayer.so
flashplugin /usr/share/
flashplugin /usr/share/applications/
flashplugin /usr/share/applications/flash-player-properties.desktop
flashplugin /usr/share/icons/
flashplugin /usr/share/icons/hicolor/
flashplugin /usr/share/icons/hicolor/16x16/
flashplugin /usr/share/icons/hicolor/16x16/apps/
flashplugin /usr/share/icons/hicolor/16x16/apps/flash-player-properties.png
flashplugin /usr/share/icons/hicolor/22x22/
flashplugin /usr/share/icons/hicolor/22x22/apps/
flashplugin /usr/share/icons/hicolor/22x22/apps/flash-player-properties.png
flashplugin /usr/share/icons/hicolor/24x24/
flashplugin /usr/share/icons/hicolor/24x24/apps/
flashplugin /usr/share/icons/hicolor/24x24/apps/flash-player-properties.png
flashplugin /usr/share/icons/hicolor/32x32/
flashplugin /usr/share/icons/hicolor/32x32/apps/
flashplugin /usr/share/icons/hicolor/32x32/apps/flash-player-properties.png
flashplugin /usr/share/icons/hicolor/48x48/
flashplugin /usr/share/icons/hicolor/48x48/apps/
flashplugin /usr/share/icons/hicolor/48x48/apps/flash-player-properties.png
flashplugin /usr/share/kde4/
flashplugin /usr/share/kde4/services/
flashplugin /usr/share/kde4/services/kcm_adobe_flash_player.desktop
flashplugin /usr/share/licenses/
flashplugin /usr/share/licenses/flashplugin/
flashplugin /usr/share/licenses/flashplugin/LICENSE.pdf

pacman -Qs flashplugin
local/flashplugin 11.2.202.235-1
Adobe Flash Player

A böngészőm chromium, mindig is ezt használtam.

Hát akkor az egy rejtély hogyan oldódhatott meg ubuntuban a problémád azzal a módszerrel, amit ott írnak, hiszen az firefox-ra szól nem pedig a chrome-ra.
De firefox-ot is telepítettél fel? Mert egyébként nem tudom honnan kerültek elő a mozilla könyvtárak, pedig ezeket látni nálad.
Sajnos nem tudom mi lehet a baj, nagyon zavaros a történet.
Majd megnézem, lehet felrakom a chromium-ot, hogy lássam milyen fájljai vannak.

Firefox települt az LXDE-vel (ha jól emlékszem, de lehet tévedek), amit leszedtem, mert nem kell annyi szolgáltatás amire képes (webszerkesztés, stb.). A chrome egyszerübb és valamivel könnyebb a régi vasamnak. Felraktam az operát, de annál is pofázik, hogy hiányzik a flash. A Duna tv-nél meg ilyesmiket kér: x-mplayer2, amit az arch-csomagokban nem találok, sem az AUR-ban. A mozilla valószínű a firefox maradványa a /usr-ben, a /home-ban pedig általam kreált, ahogy a fenti módszer leírta. Nem ragaszkodom a chrome-hoz, ha van más megoldás, azt használnám, csak legyen hang, kép (ez most is van) flash-oldalak, rádió, dvd-filmek. Ezek az utóbbiak nem mennek és gondolom, hogy nem böngésző-függőek (radiotray, dvd).
Ha javaslod, újraépítem a rendszert.

Valahol azt írják, hogy be kell másolni a chrome plugin könyvtárába a flash-t, lehet, hogy az megoldja:
root jogokkal:
mkdir /usr/lib/chromium-browser/plugins
cp /usr/lib/mozilla/plugins/libflashplayer.so /usr/lib/chromium-browser/plugins/
chmod +x /usr/lib/chromium-browser/plugins/libflashplayer.so

Az első sor csak akkor kell, ha nem létezik az a könyvtár.
Ha nem megy akkor nézd meg, hogy felrakod újra a firefox-ot, hátha abban működik. Aztán később még el tudsz szórakozni a chromiummal, hátha lesz valami megoldás és vissza tudsz térni rá.

A Duna TV lejátszásához valamilyen böngészőbe beépülő médialejátszó kell. A gecko-mediaplayer -t ajánlják ehhez, csak lehet, hogy sok függőséget feltelepít még, azt nem tudom:
https://www.archlinux.org/packages/community/i686/gecko-mediaplayer/

Köszönöm, holnap megcsinálom.
A Duna TV és más TV sem érdekes, csak példának okáért írtam, hogy miket kér. Inkább a rádiók érdekelnek (radiotray), de lehet, hogy menni fog, ha úgy megteszem amint írtad. (Csak azt nem értem, hogy böngészőtől függetlenül miért nem megy a radiotray, milyen flash kell neki, a többi disztrón jól ment.)
Köszi.

A leírásod szerint jártam el eredménytelenül. ezek után töröltem minden máshol, ahol előfordult a libflashplayer.so fájl, de így sem megy.
Leszedtem az LXDE-t, felraktam a GNOME-t és böngészőnek a firefoxot. Az eredmény ugyanaz, mindenütt kéri a flash plugin telepítését.
Azt hiszem, le fogom takarítrani az egész archlinuxot és újra telepíteni. Openbox lenne a legminimálisabb a gépemnek, de a sok leírás az openboxról eléggé zavar, még nincs eléggé letisztázva előttem, hogy milyen fájlokat kell szerkeszteni (az egyik leírás így írja, a mási kicsit másképpen), ezért nehezen merek nekifogni az openboxnak.
A leírtakból arra következtetek, hogy nem a böngészőkkel, grafikus felületekkel van baj, hanem a flashpluginnal. Valahol valami bekavar neki.
Köszönöm a segítségedet, kezdem ismét zéróból, újratelepítek.
csabatata

Üdv Mindnyájatoknak!
Újratelepítettem a rendszert, ezúttal az xfce4-et és operát használva. A flashplugint a www.opera.com/docs/linux/plugins/install/ alapján telepítettem, de nem működött, kérte a telepítést. Ezért választottam (letörlés után) egy régebbi flasht (10-es) és azzal a fenti dokumentáció alapján jártam el és működött jól. Egy hete frissítettem a rendszert (3.4.4-2-ARCH) minekutána ismét nincs flash. A 10. flashpluginnál kéri az telepítést, a 11-nél csak egy fekete kép fogad a flash helyén. Itt nem írja, hogy telepítsek, csak nem jelenít meg semmit. (A többi böngészővel annyira sem jutottam, mint az operával!)
A másik dolog: frissítés után a tty(1-6) az ékezetes betűket nem kezeli, ott kriksz-krakszok jelennek meg, amúgy pedig magyarul beszélget. A locale.gen nem az, mint ami volt, a hu-nál (de nemcsak) kiegészítették így: hu_HU.UTF-8 UTF-8", duplázták az utf-8-at. Emiatt próbálgattam az rc.conf-ban a locale-t módosítani különböző képpen, de sikertelenül, az ékezeteket nem kezeli. Grafikus felületen a terminál jó, hiszen ott az xorg.conf-ban állítunk kiosztást (nem részletezem).
Nem tudom, miért kell minden frissítés után kezdeni előlről bizonyos (nem minden) dolgokat, ha az előző jól működött? (Ez csak magánkérdés.)
Ha valaki tud valamit a fenti két problémáról, szívesen venném, ha megosztaná. Köszi, csabatata

A locale.gen -ből keresd ki ezt a sort:
#hu_HU.UTF-8 UTF-8

Vedd ki a kettős keresztet előle, mentsd el.
Parancssorba írd be root joggal: locale-gen

rc.conf -ban írd be:
LOCALE="hu_HU.UTF-8"

Billentyűzetkiosztás magyarra állítása (ha ez se volt jó eddig):
KEYMAP="hu"

A flash plugin-nel konkrétan nem tudom mi lehet a baj. De van egy olyan, hogy a 11.2-es verzió óta fekete kép jelenik meg ott ahol a beágyazott flash-nek kellene, az abból ered, hogy a gépben olyan processzor van, ami nem támogatja az SSE2 utasításkészletet.
Annyit tudsz tenni, hogy visszarakod a működőképes flash verziót és a flash további verzióinak telepítését rendszerfrissítéskor mindig kihagyod.
Ezt a /etc/pacman.conf -ban tudod megadni a következő sorban:

# IgnorePkg=

Kiveszed a kettős keresztet, beírod a flashplugint, elmented és kész

IgnorePkg= flashplugin

Most érkeztem haza a havasi hüsülésből ebbe a lenti forróságba, ezért nem válaszoltam eddig. Elnézésedet kérem. Ami a locale.gen-el kapcsolatos, amit írtál, már a frissítés után elvégeztem pontosan, ahogy írod, eredménytelenül. Még egyszer megpróbálom, lehet, hogy valahol elnéztem valamit.
A flash plugi-nel kapcsolatos meglátásod lehet, hogy igaz, valamelyik proci nem kompatibilis, próbálgatni fogok régebbi verziókat, majd meglátjuk.
Köszönöm szépen a tanácsokat, jelentkezem, ha lesz változás. (Különben itt sem működik a helyesírás ellenőrzés, korábbi hozzászólásaimban jó volt.)

Szerk.: Igazad volt, csak a "hu_HU.UTF-8 UTF-8" elől kell kikommentezni.

Üdv !

Nálam jól műkődik a youtube, nem akadoznak a moviek, de ha facebook-os játékra térek át, akkor max 1-2fps van rajta. Átlagba eddig debian alapú linuxaim voltak. De arch-ot 3 napja használok és minden szépen fut rajta, nagyon elégedett vagyok is vele, csak a flash-es játékok nem mennek. Ati Radeon 4850 HD 1gb-os videokarim van, és xf86-video-ati csomagot használom. Pacman-al raktam fel a flashplugin 11.2.202.261-1 verziot, és csak ez lenne a problémám vele. Ja procim amd64 athlon 3.6ghz.

Milyen vga? Esetleg 'ati-dri' csomag?